Bug 1714054 (CVE-2019-10320) - CVE-2019-10320 jenkins-credentials-plugin: Certificate file read vulnerability in Credentials Plugin (SECURITY-1322)
Summary: CVE-2019-10320 jenkins-credentials-plugin: Certificate file read vulnerabilit...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10320
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1714056 1714057
Blocks: 1714055
TreeView+ depends on / blocked
 
Reported: 2019-05-27 01:26 UTC by Sam Fowler
Modified: 2020-03-25 08:53 UTC (History)
19 users (show)

Fixed In Version: jenkins-credentials-plugin 2.1.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:07:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1636 None None None 2019-07-03 11:55:19 UTC

Description Sam Fowler 2019-05-27 01:26:09 UTC
The Jenkins Credentials Plugin allowed the creation of Certificate credentials from a PKCS#12 file on the Jenkins master. Users with permission to create or update credentials could use the associated form validation to confirm the existence of files with an attacker-specified path.

Additionally, they could create credentials from any valid PKCS#12 file on the Jenkins master. With the ability to configure jobs to access these credentials, they could obtain the certificate content.


External References:

https://jenkins.io/security/advisory/2019-05-21/#SECURITY-1322

Comment 2 Sam Fowler 2019-05-27 01:31:14 UTC
"Any security advisory related updates to Jenkins core or the plugins we include in the OpenShift Jenkins master image will only occur in the v3.11 and v4.x branches of this repository."

https://github.com/openshift/jenkins/blob/master/README.md#jenkins-security-advisories-the-master-image-from-this-repository-and-the-oc-binary

Comment 3 Sam Fowler 2019-07-03 01:04:38 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHBA-2019:1605 https://access.redhat.com/errata/RHBA-2019:1605

Comment 4 errata-xmlrpc 2019-07-03 11:55:18 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.1

Via RHSA-2019:1636 https://access.redhat.com/errata/RHSA-2019:1636

Comment 5 Product Security DevOps Team 2019-07-12 13:07:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10320


Note You need to log in before you can comment on or make changes to this bug.